com.r3corda.node.driver / NodeRunner / CliParams

# CliParams

`class CliParams`

### Constructors

<init> | `CliParams(services: Set<ServiceType>, networkMapName: String?, networkMapPublicKey: PublicKey?, networkMapAddress: <ERROR CLASS>?, messagingAddress: <ERROR CLASS>, apiAddress: <ERROR CLASS>, baseDirectory: String)`

### Properties

apiAddress | `val apiAddress: <ERROR CLASS>`
baseDirectory | `val baseDirectory: String`
messagingAddress | `val messagingAddress: <ERROR CLASS>`
networkMapAddress | `val networkMapAddress: <ERROR CLASS>?`
networkMapName | `val networkMapName: String?`
networkMapPublicKey | `val networkMapPublicKey: PublicKey?`
services | `val services: Set<ServiceType>`

### Functions

toCliArguments | `fun toCliArguments(): List<String>`

### Companion Object Properties

apiAddress | `val apiAddress: <ERROR CLASS>`
baseDirectory | `val baseDirectory: <ERROR CLASS>`
messagingAddress | `val messagingAddress: <ERROR CLASS>`
networkMapAddress | `val networkMapAddress: <ERROR CLASS>`
networkMapName | `val networkMapName: <ERROR CLASS>`
networkMapPublicKey | `val networkMapPublicKey: <ERROR CLASS>`
parser | `val parser: <ERROR CLASS>`
services | `val services: <ERROR CLASS>`

### Companion Object Functions

parse | `fun parse(optionSet: <ERROR CLASS>): CliParams`